Announcement

Collapse
No announcement yet.

Bridge no longer working on IE11.

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Bridge no longer working on IE11.

    Hello

    After we updated Bridge to the latest version 17.9.0 we noticed that it is no longer working on IE11. You can easily verify this by trying to open Deck.NET on IE11. It doesn't load. Looking forward for a hot fix.

    Best
    Samuel

    #2
    eggersa I believe the issue is at the bottom: https://gitter.im/bridgedotnet/Bridge
    if (!String.prototype.startsWith) {
    String.prototype.startsWith = function(searchString, position){
    position = position || 0; return this.substr(position, searchString.length) === searchString; };
    }
    need to have a polyfill for startsWith and endsWith

    Comment


      #3
      Hello, and thanks both for reporting the issue and relaying the good response from the discussion in gitter!

      We've created issue #4030 and already proposed a patch via pull request #4031.

      The fix is going to be reviewed and integrated with the remaining fixes and whole code and is very likely to be included the next Bridge release, be it 17.9.1 or 17.10.0 (well, or 18.0.0 if that's the case).

      We'll post another update here to confirm the fix will go to the next release when it gets reviewed and ensured good-to-go.

      Comment


        #4
        Hello again!

        We got the fix for this issue merged upstream and will be included next Bridge release! At this point, we have it to be 17.10.0, anyway, the issue #4030 has a reference to the version it will effectively be in via its milestone field, in any case.

        Thanks again for reporting the issue!

        Comment

        Working...
        X